petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSectionDestroy

Frees a section object and frees its range if that exists.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionDestroy(PetscSection *s)

Not collective

### Input Parameters

s -the PetscSection

The PetscSection object and methods are intended to be used in the PETSc Vec and Mat implementions; it is recommended they not be used in user codes unless you really gain something in their use.

### See Also

PetscSection, PetscSectionCreate()

Level:developer
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/impls/plex/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1f90.F.html
src/ts/examples/tutorials/ex11.c.html